#include "TemplatingEngine.h"

#include <File.h>

#include <filesystem>
#include <iostream>

int main()
{
	const auto data_loc = std::filesystem::path(__FILE__) / "../../data";

	auto engine = TemplatingEngine(data_loc);
	engine.loadTemplateFiles();
	const auto content = engine.processTemplate("index");

	File outfile("index.html");
	outfile.WriteText(content);
}